* {
  box-sizing: border-box;
}

/* =========================
   CONTACTO HERO
========================= */

.contact-hero {
  position: relative;
  height: 55vh;
  min-height: 350px;
  background: url('../assets/images/institucional/nosotros.jpg') center center / cover no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
}

.contact-hero-overlay {
  position: absolute;
  inset: 0;
  background: linear-gradient(to bottom, rgba(0,0,0,0.4), rgba(0,0,0,0.7));
}

.contact-hero-content {
  position: relative;
  z-index: 2;
  text-align: center;
}

.contact-hero h1 {
  font-family: 'GT Walsheim Bold', sans-serif;
  font-size: clamp(48px, 6vw, 72px);
  color: #ffffff;
  text-transform: uppercase;
  letter-spacing: 0.08em;
}



/* =========================
   SECCIÓN ALEJANDRO 
========================= */
.alejandro {
  padding: 60px 20px;
  display: flex;
  flex-direction: column;
  gap: 40px;
  background-color: #1C2249;
}

.alejandro-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 100px;
  align-items: center;
}

.alejandro-left h2 {
  font-size: clamp(2rem, 4vw, 3rem);
  margin-bottom: 1rem;
  color: #ffffff;
}

.alejandro-left h3 {
  font-size: clamp(1.75rem, 3vw, 2.5rem);
  margin-bottom: 1.5rem;
  color: #ffffff;
}

.alejandro-left-img {
  width: 60%;
  max-width: 30rem;
  border-radius: 0.5rem;
  display: block;
  margin-top: 1.25rem;
  margin-left: 5rem;
}

.alejandro-right {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.alejandro-right p {
  font-family: 'Maven Pro', sans-serif;
   margin-bottom: 1.25rem;
  line-height: 1.6;
  color: #ffffff;
  font-size: clamp(1rem, 1.5vw, 1.25rem);
}

.alejandro-video-center {
  text-align: center;
}

.alejandro-play-wrapper {
  position: relative;
  display: inline-block;
  cursor: pointer;
}

.alejandro-video-thumb {
  width: clamp(20rem, 50vw, 40rem);
  height: auto;
  border-radius: 0.5rem;
  display: block;
}

.alejandro-play-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: clamp(3rem, 6vw, 5rem);
  color: #df3636;
}

@media (min-width: 993px) {
  .alejandro-left {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .alejandro-left-img {
    margin-left: 0;
  }
}

@media (max-width: 992px) {
  .alejandro-container {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .alejandro-left, .alejandro-right {
    text-align: center;
  }

  .alejandro-left-img {
    margin: 0 auto;
    max-width: 90%;
  }

  .alejandro-thumb-wrapper {
    width: 100%;
  }

  .alejandro-play-button {
    width: 50px;
    height: 50px;
  }
}

@media (max-width: 768px) {
  .alejandro-container {
    gap: 30px;
  }

  .alejandro-left h2 {
    margin-bottom: 0.5rem;
  }

  .alejandro-left h3 {
    margin-bottom: 1rem;
  }

  .alejandro-left-img {
    margin-top: 1rem;
  }

  .alejandro-right p {
    margin-bottom: 1rem;
  }
}

@media (max-width: 375px) {
  .alejandro-video-center {
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
  }

  .alejandro-video-thumb {
    width: 100%;
    max-width: 90%;
    height: auto;
  }

  .alejandro-play-wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
  }
}


/* =========================
   SECCION NOSOTROS 
========================= */

.nosotros {
  width: 100%;
  padding: 40px 0;
  background-color: #ffffff;
  background-image: url('../assets/images/institucional/nosotros-bg.jpg');
  background-size: cover;
  background-position: right center;
  background-repeat: no-repeat;
  position: relative;
  color: #ffffff;
}

.nosotros::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 0;
}

.nosotros .container {
  position: relative;
  z-index: 1;
}

.nosotros-part-1 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 60px;
  align-items: flex-start;
}

.nosotros-left h2 {
  font-family: 'GT Walsheim Bold', sans-serif;
  font-size: clamp(36px, 4vw, 48px);
  line-height: 1.2;
  text-transform: uppercase;
  color: #00D6FF;
  margin-top:12%;
}

.nosotros-right p {
  font-family: 'Maven Pro', sans-serif;
  font-size: 16px;
  line-height: 1.8;
  margin-bottom: 20px;
  color: #1C2249;
}

.nosotros-left h2 .highlight-dark {
  color: #1C2249;
}


.fade-in-up {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.fade-in-up.visible {
  opacity: 1;
  transform: translateY(0);
}

@media (max-width: 992px) {

  .nosotros {
    padding-top: 40px;
    padding-bottom: 10px;
    background-image: none;
  }

  .nosotros-part-1 {
    grid-template-columns: 1fr;
    gap: 40px;
  }

  .nosotros-left h2 {
    margin-top: 0;
  }

  .nosotros-left, .nosotros-right {
    text-align: center;
  }
}

@media (max-width: 1100px) and (min-width: 993px) {
  .nosotros-left h2 {
    margin-top: 30%;
  }
}


/* =========================
   SECCIÓN UNIDADES DE NEGOCIO
========================= */
.unidades-negocio {
  width: 100%;
  padding: 100px 20px;
  background-color: #1C2249;
  color: #ffffff;
  text-align: center;
}

.unidades-negocio h2 {
  font-family: 'GT Walsheim Bold', sans-serif;
  font-size: clamp(36px, 4vw, 48px);
  margin-bottom: 25px;
  line-height: 1.2;
  text-transform: uppercase;
}

.unidades-negocio p {
  font-family: 'Maven Pro', sans-serif;
  font-size: 16px;
  line-height: 1.8;
  max-width: 800px;
  margin: 0 auto;
  margin-top: 55px;
  color: #ffffff;
}

.unidades-tabs {
  display: grid;
  grid-template-columns: 200px 1fr;
  gap: 40px;
  margin-top: 60px;
}

.unidades-options {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.unidad-btn {
  padding: 12px 20px;
  background-color: #2a3155;
  color: #ffffff;
  border: none;
  text-align: left;
  font-family: 'GT Walsheim Bold', sans-serif;
  font-size: 16px;
  cursor: pointer;
  border-radius: 6px;
  transition: background 0.3s ease;
}

.unidad-btn:hover {
  background-color: #00D6FF;
  color: #1C2249;
}

.unidad-btn.active {
  background-color: #00D6FF;
  color: #1C2249;
}

.unidades-info {
  background-color: #2a3155;
  padding: 20px 30px;
  border-radius: 8px;
  min-height: 300px;
}

.unidad-info {
  display: none;
}

.unidad-info.active {
  display: block;
}

.unidad-inner {
  display: flex;
  gap: 20px;
  align-items: flex-start;
}

.unidad-info img {
  width: 40%;
  height: auto;
  border-radius: 6px;
  margin-top:30px;
}

.unidad-text {
  width: 60%;
}

.unidad-info h3 {
  font-family: 'GT Walsheim Bold', sans-serif;
  font-size: 24px;
  margin-bottom: 15px;
  color: #ffffff;
}

.unidad-info p {
  font-family: 'Maven Pro', sans-serif;
  font-size: 16px;
  line-height: 1.8;
  color: #ffffff;
  margin-top: 40px;
  margin-bottom: 35px;
}

.unidad-link {
  display: inline-block;
  font-family: 'GT Walsheim Bold', sans-serif;
  font-size: 16px;
  color: #ffffff;
  background-color: #1C2249;
  border: 2px solid #ffffff;
  border-radius: 6px;
  padding: 10px 20px;
  text-decoration: none;
  text-transform: uppercase;
  transition: color 0.3s ease;
}

.unidad-link:hover {
  background-color: #ffffff;
  color: #1C2249;
}

@media (max-width: 768px) {

  .unidades-tabs {
    grid-template-columns: 1fr;
    gap: 25px;
  }

  .unidades-options {
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
  }

  .unidad-btn {
    flex: 1 1 45%;
    text-align: center;
    font-size: 14px;
    padding: 10px 12px;
  }

  .unidades-info {
    margin-top: 10px;
    padding: 20px;
    width: 100%;
    box-sizing: border-box;
  }

  .unidad-inner {
    flex-direction: column;
    gap: 20px;
    align-items: center;
    text-align: center;
  }

  .unidad-inner img {
    width: 100%;
    max-width: 320px;
    margin-top: 0;
  }

  .unidad-text {
    width: 100%;
  }

  .unidad-info p {
    margin-top: 20px;
    margin-bottom: 25px;
  }

}

@media (max-width: 992px) {
  .nosotros-part-1 {
    grid-template-columns: 1fr;
    gap: 40px;
  }

  .nosotros-left, .nosotros-right {
    text-align: center;
  }
}


/* =========================
   SECCIÓN CAMINO DE TRABAJO
========================= */
.camino-trabajo {
  width: 100%;
  padding: 100px 20px;
  background-color: #ffffff;
  text-align: center;
}

.camino-steps {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  position: relative;
  max-width: 900px;
  margin: 0 auto;
  gap: 30px;
}

.camino-steps::before {
  content: '';
  position: absolute;
  top: 60px;
  left: 5%;
  right: 5%;
  height: 4px;
  background-color: #00D6FF;
  z-index: 1;
  transform: translateY(-50%);
}

.camino-step {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  z-index: 2;
  width: 100px;
}

.camino-step img {
  width: 80px;
  height: 80px;
  object-fit: contain;
  border-radius: 50%;
  padding: 10px;
  margin-bottom: 20px;
  position: relative;
  top: -40px;
}

.camino-dot {
  width: 20px;
  height: 20px;
  background-color: #00D6FF;
  border-radius: 50%;
  position: absolute;
  top: 60px;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 3;
}

.camino-step h3 {
  margin-top: 22px;
  font-family: 'GT Walsheim Bold', sans-serif;
  font-size: 16px;
  color: #1C2249;
  text-transform: uppercase;
  text-align: center;
  line-height: 1.4;
}

.camino-step h3.single-line {
  align-self: flex-start;
  margin-top: 42px;
}

.camino-step h3.two-lines {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 32px;
}

@media (min-width: 768px) and (max-width: 1023px) {
  .camino-steps {
    gap: 50px;
  }

  .camino-steps::before {
    width: 88%;
    left: 6%;
  }
}

@media (max-width: 767px) {
  .camino-trabajo {
    padding: 20% 3%;
  }

  .camino-container {
    width: 100%;
    margin: 0;
    padding-left: 10%;
  }

  .camino-steps {
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    width: 100%;
  }

  .camino-steps::before {
    top: 5%;
    bottom: 0;
    left: 40%;
    width: 4px;
    height: 85%;
    transform: translateX(-50%);
  }

  .camino-step {
    flex-direction: row;
    align-items: center;
    width: 100%;
  }

  .camino-step img {
    width: 3.75rem;
    height: 3.75rem;
    object-fit: contain;
    border-radius: 50%;
    margin: 0;
    top: 0;
    justify-content: flex-start;
    padding-top: 1%;
  }

  .camino-dot {
    position: absolute;
    left: 40%;
    top: 30%;
    transform: translateX(-50%);
    z-index: 3;
  }


  .camino-step h3 {
  margin: 0;
  text-align: center;
  flex: 1;
  padding-right: 0%;
  font-size: 3vw;
  max-width: 12ch;
  position: relative;
  margin-left: 40%;
}

  .camino-step h3.single-line,
  .camino-step h3.two-lines {
    display: block;
    align-items: flex-end;
    margin-top: 0;
  }

  .camino-step h3.single-line {
    padding-top: 18px;
  }
}

@media (max-width: 475px) {
  .camino-steps::before {
    height: 89%;
  }
}

/* =========================
   SECCIÓN CONTACTO CTA
========================= */
.cont-cta {
  width: 100%;
  padding: 80px 20px;
  background-color: #ffffff;
  text-align: center;
}

.cont-link {
  font-family: 'GT Walsheim Bold', sans-serif;
  font-size: clamp(28px, 3vw, 36px);
  text-transform: uppercase;
  text-decoration: none;
  color: #1C2249;
  padding-bottom: 5px;
  transition: all 0.3s ease;
}

.cont-link:hover {
  color: #00D6FF;
}

/* =========================
   SECCIÓN MAPA
========================= */

.mapa-section {
  width: 100%;
  padding: 40px 20px;
  background-color: #ffffff;
  text-align: center;
  color: #1C2249;
}

.mapa-section .mapa-header h2 {
  font-family: 'GT Walsheim Bold', sans-serif;
  font-size: clamp(24px, 4vw, 34px);
  text-transform: uppercase;
  margin-bottom: 25px;
}

.mapa-section .mapa-content img {
  width: 60%;
  max-width: 1000px;
  border-radius: 8px;
  display: block;
  margin: 0 auto;
  padding-top: 40px;
}